#
# spec file for package python-proliantutils
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-proliantutils
Version:        2.4.1
Release:        lp150.1.3
Summary:        Client Library for interfacing with various devices in HP Proliant Servers
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/openstack/proliantutils
Source:         https://files.pythonhosted.org/packages/source/p/proliantutils/proliantutils-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
**proliantutils** is a set of utility libraries for interfacing and managing
various components (like iLO, HPSSA) for HP Proliant Servers.  This library
is used by iLO drivers in Ironic for managing Proliant Servers (though the
library can be used by anyone who wants to manage HP Proliant servers).

Please use launchpad_ to report bugs and ask questions.

.. _launchpad: https://bugs.launchpad.net/proliantutils


%prep
%setup -q -n proliantutils-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Wed Jan 31 2018 dmueller@suse.com
- Initial package (2.4.1)
